#
# spec file for package perl-ShipIt
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-ShipIt
Version:        0.60
Release:        1.1
%define cpan_name ShipIt
Summary:        Software Release Tool
License:        CHECK(GPL-1.0+ or Artistic-1.0)
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/ShipIt/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Releasing a new version of software takes a lot of steps... finding the
next version number (and making sure you didn't already use that version
number before), making sure your changelog is updated, making sure your
"make dist" results in a tarball that builds, commiting changes (with
updated version number), tagging, and uploading the tarball somewhere.

Or maybe more steps. Or not some of the above. Maybe you forgot something!
And maybe you manage multiple projects, and each project has a different
release process.

This is all a pain in the ass.

You want to be hacking, not jumping through hoops.

Your contributors want to see their patches actually make it into a
release, which won't happen if you're afraid of releases.

*shipit* automates all the hell. It makes life beautiful.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc AUTHORS ChangeLog CONTRIBUTING README shipit

%changelog
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.60
  see /usr/share/doc/packages/perl-ShipIt/ChangeLog
  0.60 (2013-02-07)
  * Same as 0.59. Make it non TRIAL :)
  0.59 (2013-02-07)
  * Support TRIAL release for PAUSE with --trial command line option
  0.58 (2012-11-09)
  * Support our $VERSION = 'v1.0.0' construct per xdg
  0.57 (2012-07-21)
  * Fixed an issue with PAUSE
  0.56 (2012-07-21)
  * Supports and writes different style of perl version declarations (Brad Willis)
  * Changed the display of git unknown files to be prettier (Daniel LeWarne)
  * Include global git exclusion files (Daniel LeWarne)
  * Add support for not running under a terminal (Dave Lambley)
  * Make tilde (~) to point user's home directory (Dave Lambley)
  * miyagawa now takes over the maintenance of ShipIt
* Fri Apr 22 2011 coolo@opensuse.org
- initial package 0.55
  * created by cpanspec 1.78.04
